Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jun 2021 01:41:38 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have had a very bad experience delivering from you. Firstly, one of the products was cancelled from my order although it was in stock when I bought it. 
Secondly, I asked for Cash on Delivery, and the driver came without any change in hand. My total was BD 13.5, I gave him BD 20, and he said that he had no change. I asked him to go back and get a change because that is his duty, when someone asks for cash on delivery YOU MUST COME WITH CHANGE. He said he can not bring me change, and ask me to go get BD 13.5 exactly. He said i’ll leave you for 1 hour and come back and I want you to have a change. 
I kept on calling the customer service and no one picked up,
Horrible horrible experience! never ordering again from you! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2714570